Bug 851619 - logitech usb headset has no sound with 3.6.0-0.rc2.git2.1 and 3.6.0-0.rc3.git0.1
logitech usb headset has no sound with 3.6.0-0.rc2.git2.1 and 3.6.0-0.rc3.git0.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
alsa first=3.6.0-0.rc2.git2.1 tested=...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 09:59 EDT by Bruno Wolff III
Modified: 2012-09-23 01:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-23 01:03:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
alsa-info output (21.60 KB, application/octet-stream)
2012-08-24 14:44 EDT, Bruno Wolff III
no flags Details

  None (edit)
Description Bruno Wolff III 2012-08-24 09:59:39 EDT
Description of problem:
I noticed last night that I wasn't getting any sound from my USB headset last light on a 3.6.0-0.rc3.git0.1 kernel. The device does show up properly in the sound preferences menu, but when I try to use xmms to play a song the song doesn't actually play. The progress bar stays put.

I tested some other kernels (on three different machines) and found that it didn't work on 3.6.0-0.rc2.git2.1 (on any machines), but that it did work with 3.6.0-0.rc2.git0.1, PAE-3.6.0-0.rc1.git0.2 and 3.6.0-0.rc2.git1.2. Motherboard sound did work on all three machines with the 3.6.0-0.rc3.git0.1 kernel.

This line from dmesg probably will give you more specific info on what the device is:
[   15.556115] hid-generic 0003:046D:0A0C.0006: input,hidraw5: USB HID v1.00 Device [Logitech Logitech USB Headset] on usb-0000:00:1d.7-6.4/input3
Comment 1 Bruno Wolff III 2012-08-24 13:15:38 EDT
3.6.0-0.rc3.git1.1 also doesn't work with the headset.
Comment 2 Josh Boyer 2012-08-24 13:59:00 EDT
OK, so if I read that correctly, the first broken version is 3.6.0-0.rc2.git2.1 and the last version that worked before that is 3.6.0-0.rc2.git1.2.

Can you attach the output of alsa-info.sh?

Also, can you verify with alsamixer that the headset isn't muted or turned down?
Comment 3 Bruno Wolff III 2012-08-24 14:44:24 EDT
Created attachment 606941 [details]
alsa-info output

I didn't see any mute indicator in alsamixer. The display didn't seem to change when I muted and unmuted using the sound applet. The sound level showed 68. And showed the gain as -5 dB.
Comment 4 Josh Boyer 2012-08-25 08:13:17 EDT
I've started a scratch build with:

commit e9ba389c5ffc4dd29dfe17e00e48877302111135
Author: Takashi Iwai <tiwai@suse.de>
Date:   Wed Aug 15 12:32:00 2012 +0200

    ALSA: usb-audio: Fix scheduling-while-atomic bug in PCM capture stream

reverted (via patch -R).  You'll find it here when it finishes building:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4421817
Comment 5 Bruno Wolff III 2012-08-25 11:04:25 EDT
I tested the scratch build and headset sound is working again on the two machines that I could easily test. (The third is at work.)
Comment 6 Josh Boyer 2012-08-29 17:23:52 EDT
There was an actual fix posted to the list which Bruno has tested.  We'll roll that patch into the next update.
Comment 7 Josh Boyer 2012-08-29 17:27:21 EDT
Patch committed to Fedora git.
Comment 8 Bruno Wolff III 2012-08-30 00:05:14 EDT
I tested 3.6.0-0.rc3.git3.2.fc18.i686.PAE on two systems at home and the logitech usb headsets are working on both machines again.
Comment 9 Fedora Update System 2012-09-07 20:53:19 EDT
kernel-3.6.0-0.rc4.git2.1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.6.0-0.rc4.git2.1.fc18
Comment 10 Fedora Update System 2012-09-08 15:25:08 EDT
Package kernel-3.6.0-0.rc4.git2.1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.6.0-0.rc4.git2.1.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13608/kernel-3.6.0-0.rc4.git2.1.fc18
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-09-17 15:28:36 EDT
kernel-3.6.0-0.rc6.git0.2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.6.0-0.rc6.git0.2.fc18
Comment 12 Fedora Update System 2012-09-23 01:03:57 EDT
kernel-3.6.0-0.rc6.git0.2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.